Subject: RE: [mobile-ip] Design teams for mobileip--(sharif)

From: Phil Roberts <[email-masked]>
Date: Wed, 18 Apr 2001 12:10:37 -0400

> -----Original Message-----
> From: Behcet Sarikaya [mailto:[email-masked]]
> Sent: Wednesday, April 18, 2001 10:16 AM
> To: [email-masked]
> Subject: Re: [mobile-ip] Design teams for mobileip--(sharif)
> 

On design teams you might want to look at RFC 2418, sec 6.5.

> 
> Phil,
>   Sorry to bring this up again. I think that there two 
> problems here that needs
> to be addressed:
> 1. WG members were not consulted when DTs were closed. Jim 
> Bound says other WG
> chairs know, this how come Mobile IP WG chairs do not?

The members of the design team mailing lists were informed.

> 2. The same has been repeated over maybe 3 times MIPv6 DT, 
> MIPv4 DT and Security
> DT (?).

There is no Security DT in the MIP WG that I know of.  There is a group of
folks working on requirements but it's outside the MIP WG.

> 
> Phil Roberts wrote:
> 
> > Both fast handoff lists were open to begin with but due to 
> some concerns
> > about the ability to make progress the ADs asked us to 
> close them, so we
> > did.
> 
> I saw this movie before (another WG chair made similar 
> statements without
> providing any proof). Phil do you mind providing any evidence on this?
> 
> > The archives will be made public when the teams are done.  
> Versions of
> > each draft have been published and you are welcome to 
> comment on them on the
> > main list.
> 
>   I know where one of the lists is located. I can tell more 
> on how the list was
> closed, etc., if required
> 
>   The remedy to the situation is quite simple: WG chairs 
> should apologize, at
> the least.
>   And thanks to Phil Neumiller for bringing this up.
> --
> Behcet
>

---

From: "Phil Neumiller" <[email-masked]>
Date: Thu, 19 Apr 2001 07:39:02 -0500

Phil R.,

I qoute RFC 2418, sec 6.5 for convience:

// QUOTE
6.5. Design teams

   It is often useful, and perhaps inevitable, for a sub-group of a
   working group to develop a proposal to solve a particular problem.
   Such a sub-group is called a design team.  In order for a design team
   to remain small and agile, it is acceptable to have closed membership
   and private meetings.  Design teams may range from an informal chat
   between people in a hallway to a formal set of expert volunteers that
   the WG chair or AD appoints to attack a controversial problem.  The
   output of a design team is always subject to approval, rejection or
   modification by the WG as a whole.
// END QUOTE

My beef with RFC 2418 section 6.5 sentence 3, is where it appears that
the MIP WG has decided to attack even "non-controversial work", i.e
almost all its work, in closed design teams with no open mail lists.  This
includes all the MIPv6 work the MIPv4 fast handoff work.

I don't believe this is what Scott intended and I have copied him on this
mail and I would like him to clarify and comment.

Thanks,

Phil N.